"use strict";
exports.__esModule = true;
exports.log = exports.logDiffStartEnd = void 0;
var core = require("@actions/core");
var isCI = Boolean(process.env.CI);
function logDiffStartEnd(label, start, end) {
    var NS_PER_MS = BigInt(1e6);
    var diff = Math.round(Number((end - start) / NS_PER_MS));
    log(label + " " + diff + " ms");
}
exports.logDiffStartEnd = logDiffStartEnd;
function log(msg, options) {
    if (isCI) {
        if ((options === null || options === void 0 ? void 0 : options.level) === "ERROR") {
            core.setFailed(msg);
        }
        if ((options === null || options === void 0 ? void 0 : options.level) === "WARN") {
            core.warning(msg);
        }
        if ((options === null || options === void 0 ? void 0 : options.level) === "INFO") {
            core.info(msg);
        }
    }
    else {
        console.log(msg);
    }
}
exports.log = log;
